% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/populateSampleColumns.r
\name{populateSampleColumns}
\alias{populateSampleColumns}
\title{Populate Sample Columns}
\usage{
populateSampleColumns(rawData)
}
\arguments{
\item{rawData}{dataframe with dateTime, ConcLow, ConcHigh, Uncen}
}
\value{
Sample2 dataframe with columns: Date, ConcLow, ConcHigh, Uncen, ConcAve, Julian, 
Month, Day, DecYear, MonthSeq, waterYear, SinDY, and CosDY (DY = decimal year)
}
\description{
Creates ConcAve and ConcLow based on Uncen. Removes any samples with NA values in ConcHigh.
}
\examples{
dateTime <- c('1985-01-01', '1985-01-02', '1985-01-03')
ConcLow <- c(1,2,0)
ConcHigh <- c(1,2,3)
Uncen <- c(1,1,0)
dataInput <- data.frame(dateTime, ConcLow, ConcHigh, Uncen, stringsAsFactors=FALSE)
Sample <- populateSampleColumns(dataInput)
}
